diff --git a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktUserListItem.cs b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktUserListItem.cs
index 9313b3c..08bf6c0 100644
--- a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktUserListItem.cs
+++ b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktUserListItem.cs
@@ -1,441 +1,438 @@
-﻿using System;
-using System.Runtime.Serialization;
-
-namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.DataStructures
+﻿namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.DataStructures
 {
-  [DataContract]
-  public class TraktUserListItem
-  {
-    [DataMember(Name = "type")]
-    public string Type { get; set; }
-
-    [DataMember(Name = "movie")]
-    public TraktMovie Movie { get; set; }
-
-    [DataMember(Name = "show")]
-    public TraktShow Show { get; set; }
-
-    [DataMember(Name = "episode")]
-    public TraktEpisode Episode { get; set; }
-
-    /// <summary>
-    /// all the authentication properties (plays, watched etc) are not correctly set 
-    /// for each corresponding type (movie,show,episode)...this has been reported
-    /// we can workaround this for now. They are currently only set on the root item
-    /// </summary>
-
-    #region Helpers
-
-    public TraktRatings Ratings
-    {
-      get
-      {
-        TraktRatings retValue = null;
-
-        switch (Type)
-        {
-          case "movie":
-            retValue = Movie.Ratings;
-            break;
-
-          case "show":
-          case "season":
-            retValue = Show.Ratings;
-            break;
-          case "episode":
-            retValue = Episode.Ratings;
-            break;
-        }
-        return retValue;
-      }
-      set
-      {
-        switch (Type)
-        {
-          case "movie":
-            Movie.Ratings = value;
-            break;
-
-          case "show":
-          case "season":
-            Show.Ratings = value;
-            break;
-          case "episode":
-            Episode.Ratings = value;
-            break;
-        }
-      }
-    }
-
-    [DataMember(Name = "rating")]
-    public string Rating
-    {
-      get
-      {
-        string retValue = "false";
-
-        switch (Type)
-        {
-          case "movie":
-            retValue = Movie.Rating;
-            break;
-
-          case "show":
-          case "season":
-            retValue = Show.Rating;
-            break;
-          case "episode":
-            retValue = Episode.Rating;
-            break;
-        }
-        return retValue;
-      }
-      set
-      {
-        switch (Type)
-        {
-          case "movie":
-            Movie.Rating = value;
-            break;
-
-          case "show":
-          case "season":
-            Show.Rating = value;
-            break;
-          case "episode":
-            Episode.Rating = value;
-            break;
-        }
-      }
-    }
-
-    [DataMember(Name = "rating_advanced")]
-    public int RatingAdvanced
-    {
-      get
-      {
-        int retValue = 0;
-
-        switch (Type)
-        {
-          case "movie":
-            retValue = Movie.RatingAdvanced;
-            break;
-
-          case "show":
-          case "season":
-            retValue = Show.RatingAdvanced;
-            break;
-          case "episode":
-            retValue = Episode.RatingAdvanced;
-            break;
-        }
-        return retValue;
-      }
-      set
-      {
-        switch (Type)
-        {
-          case "movie":
-            Movie.RatingAdvanced = value;
-            break;
-
-          case "show":
-          case "season":
-            Show.RatingAdvanced = value;
-            break;
-          case "episode":
-            Episode.RatingAdvanced = value;
-            break;
-        }
-      }
-    }
-
-    [DataMember(Name = "plays")]
-    public int Plays
-    {
-      get
-      {
-        int retValue = 0;
-
-        switch (Type)
-        {
-          case "movie":
-            retValue = Movie.Plays;
-            break;
-
-          case "show":
-            retValue = Show.Plays;
-            break;
-
-          case "season":
-            retValue = _plays;
-            break;
-          case "episode":
-            retValue = Episode.Plays;
-            break;
-        }
-        return retValue;
-      }
-      set
-      {
-        switch (Type)
-        {
-          case "movie":
-            Movie.Plays = value;
-            break;
-
-          case "show":
-            Show.Plays = value;
-            break;
-
-          case "season":
-            _plays = value;
-            break;
-
-          case "episode":
-            Episode.Plays = value;
-            break;
-        }
-      }
-    } int _plays;
-
-    [DataMember(Name = "watched")]
-    public bool Watched
-    {
-      get
-      {
-        bool retValue = false;
-
-        switch (Type)
-        {
-          case "movie":
-            retValue = Movie.Watched;
-            break;
-
-          case "show":
-            retValue = Show.Watched;
-            break;
-
-          case "season":
-            retValue = _watched;
-            break;
-
-          case "episode":
-            retValue = Episode.Watched;
-            break;
-        }
-        return retValue;
-      }
-      set
-      {
-        switch (Type)
-        {
-          case "movie":
-            Movie.Watched = value;
-            break;
-
-          case "show":
-            Show.Watched = value;
-            break;
-
-          case "season":
-            _watched = value;
-            break;
-
-          case "episode":
-            Episode.Watched = value;
-            break;
-        }
-      }
-    } bool _watched;
-
-    [DataMember(Name = "in_collection")]
-    public bool InCollection
-    {
-      get
-      {
-        bool retValue = false;
-
-        switch (Type)
-        {
-          case "movie":
-            retValue = Movie.InCollection;
-            break;
-
-          case "show":
-          case "season":
-            retValue = _incollection;
-            break;
-          case "episode":
-            retValue = Episode.InCollection;
-            break;
-        }
-        return retValue;
-      }
-      set
-      {
-        switch (Type)
-        {
-          case "movie":
-            Movie.InCollection = value;
-            break;
-
-          case "show":
-          case "season":
-            _incollection = value;
-            break;
-          case "episode":
-            Episode.InCollection = value;
-            break;
-        }
-      }
-    } bool _incollection;
-
-    [DataMember(Name = "in_watchlist")]
-    public bool InWatchList
-    {
-      get
-      {
-        bool retValue = false;
-
-        switch (Type)
-        {
-          case "movie":
-            retValue = Movie.InWatchList;
-            break;
-
-          case "show":
-          case "season":
-            retValue = _inwatchlist;
-            break;
-          case "episode":
-            retValue = Episode.InWatchList;
-            break;
-        }
-        return retValue;
-      }
-      set
-      {
-        switch (Type)
-        {
-          case "movie":
-            Movie.InWatchList = value;
-            break;
-
-          case "show":
-          case "season":
-            _inwatchlist = value;
-            break;
-          case "episode":
-            Episode.InWatchList = value;
-            break;
-        }
-      }
-    } bool _inwatchlist;
-
-    [DataMember(Name = "episode_num")]
-    public string EpisodeNumber
-    {
-      get
-      {
-        return _episodeNumber;
-      }
-      set
-      {
-        if (Type == "episode")
-        {
-          Episode = Episode ?? new TraktEpisode();
-          Episode.Number = Convert.ToInt32(value);
-        }
-        _episodeNumber = value;
-      }
-    } string _episodeNumber = null;
-
-    [DataMember(Name = "season")]
-    public string SeasonNumber
-    {
-      get
-      {
-        return _season;
-      }
-      set
-      {
-        if (Type == "episode")
-        {
-          Episode = Episode ?? new TraktEpisode();
-          Episode.Season = Convert.ToInt32(value);
-        }
-        _season = value;
-      }
-    } string _season = null;
-
-    public string Year
-    {
-      get
-      {
-        string retValue = string.Empty;
-
-        switch (Type)
-        {
-          case "movie":
-            retValue = Movie.Year;
-            break;
-
-          case "show":
-          case "season":
-          case "episode":
-            retValue = Show.Year.ToString();
-            break;
-        }
-        return retValue;
-      }
-    }
-
-    public string Title
-    {
-      get
-      {
-        string retValue = string.Empty;
-
-        switch (Type)
-        {
-          case "movie":
-            retValue = Movie.Title;
-            break;
-
-          case "show":
-          case "season":
-          case "episode":
-            retValue = Show.Title;
-            break;
-        }
-        return retValue;
-      }
-    }
-
-    public string ImdbId
-    {
-      get
-      {
-        string retValue = string.Empty;
-
-        switch (Type)
-        {
-          case "movie":
-            retValue = Movie.IMDBID;
-            break;
-
-          case "show":
-          case "season":
-          case "episode":
-            retValue = Show.Imdb;
-            break;
-        }
-        return retValue;
-      }
-    }
-
-    #endregion
-  }
+  //[DataContract]
+  //public class TraktUserListItem
+  //{
+  //  [DataMember(Name = "type")]
+  //  public string Type { get; set; }
+
+  //  [DataMember(Name = "movie")]
+  //  public TraktMovie Movie { get; set; }
+
+  //  [DataMember(Name = "show")]
+  //  public TraktShow Show { get; set; }
+
+  //  [DataMember(Name = "episode")]
+  //  public TraktEpisode Episode { get; set; }
+
+  //  /// <summary>
+  //  /// all the authentication properties (plays, watched etc) are not correctly set 
+  //  /// for each corresponding type (movie,show,episode)...this has been reported
+  //  /// we can workaround this for now. They are currently only set on the root item
+  //  /// </summary>
+
+  //  #region Helpers
+
+  //  public TraktRatings Ratings
+  //  {
+  //    get
+  //    {
+  //      TraktRatings retValue = null;
+
+  //      switch (Type)
+  //      {
+  //        case "movie":
+  //          retValue = Movie.Ratings;
+  //          break;
+
+  //        case "show":
+  //        case "season":
+  //          retValue = Show.Ratings;
+  //          break;
+  //        case "episode":
+  //          retValue = Episode.Ratings;
+  //          break;
+  //      }
+  //      return retValue;
+  //    }
+  //    set
+  //    {
+  //      switch (Type)
+  //      {
+  //        case "movie":
+  //          Movie.Ratings = value;
+  //          break;
+
+  //        case "show":
+  //        case "season":
+  //          Show.Ratings = value;
+  //          break;
+  //        case "episode":
+  //          Episode.Ratings = value;
+  //          break;
+  //      }
+  //    }
+  //  }
+
+  //  [DataMember(Name = "rating")]
+  //  public string Rating
+  //  {
+  //    get
+  //    {
+  //      string retValue = "false";
+
+  //      switch (Type)
+  //      {
+  //        case "movie":
+  //          retValue = Movie.Rating;
+  //          break;
+
+  //        case "show":
+  //        case "season":
+  //          retValue = Show.Rating;
+  //          break;
+  //        case "episode":
+  //          retValue = Episode.Rating;
+  //          break;
+  //      }
+  //      return retValue;
+  //    }
+  //    set
+  //    {
+  //      switch (Type)
+  //      {
+  //        case "movie":
+  //          Movie.Rating = value;
+  //          break;
+
+  //        case "show":
+  //        case "season":
+  //          Show.Rating = value;
+  //          break;
+  //        case "episode":
+  //          Episode.Rating = value;
+  //          break;
+  //      }
+  //    }
+  //  }
+
+  //  [DataMember(Name = "rating_advanced")]
+  //  public int RatingAdvanced
+  //  {
+  //    get
+  //    {
+  //      int retValue = 0;
+
+  //      switch (Type)
+  //      {
+  //        case "movie":
+  //          retValue = Movie.RatingAdvanced;
+  //          break;
+
+  //        case "show":
+  //        case "season":
+  //          retValue = Show.RatingAdvanced;
+  //          break;
+  //        case "episode":
+  //          retValue = Episode.RatingAdvanced;
+  //          break;
+  //      }
+  //      return retValue;
+  //    }
+  //    set
+  //    {
+  //      switch (Type)
+  //      {
+  //        case "movie":
+  //          Movie.RatingAdvanced = value;
+  //          break;
+
+  //        case "show":
+  //        case "season":
+  //          Show.RatingAdvanced = value;
+  //          break;
+  //        case "episode":
+  //          Episode.RatingAdvanced = value;
+  //          break;
+  //      }
+  //    }
+  //  }
+
+  //  [DataMember(Name = "plays")]
+  //  public int Plays
+  //  {
+  //    get
+  //    {
+  //      int retValue = 0;
+
+  //      switch (Type)
+  //      {
+  //        case "movie":
+  //          retValue = Movie.Plays;
+  //          break;
+
+  //        case "show":
+  //          retValue = Show.Plays;
+  //          break;
+
+  //        case "season":
+  //          retValue = _plays;
+  //          break;
+  //        case "episode":
+  //          retValue = Episode.Plays;
+  //          break;
+  //      }
+  //      return retValue;
+  //    }
+  //    set
+  //    {
+  //      switch (Type)
+  //      {
+  //        case "movie":
+  //          Movie.Plays = value;
+  //          break;
+
+  //        case "show":
+  //          Show.Plays = value;
+  //          break;
+
+  //        case "season":
+  //          _plays = value;
+  //          break;
+
+  //        case "episode":
+  //          Episode.Plays = value;
+  //          break;
+  //      }
+  //    }
+  //  } int _plays;
+
+  //  [DataMember(Name = "watched")]
+  //  public bool Watched
+  //  {
+  //    get
+  //    {
+  //      bool retValue = false;
+
+  //      switch (Type)
+  //      {
+  //        case "movie":
+  //          retValue = Movie.Watched;
+  //          break;
+
+  //        case "show":
+  //          retValue = Show.Watched;
+  //          break;
+
+  //        case "season":
+  //          retValue = _watched;
+  //          break;
+
+  //        case "episode":
+  //          retValue = Episode.Watched;
+  //          break;
+  //      }
+  //      return retValue;
+  //    }
+  //    set
+  //    {
+  //      switch (Type)
+  //      {
+  //        case "movie":
+  //          Movie.Watched = value;
+  //          break;
+
+  //        case "show":
+  //          Show.Watched = value;
+  //          break;
+
+  //        case "season":
+  //          _watched = value;
+  //          break;
+
+  //        case "episode":
+  //          Episode.Watched = value;
+  //          break;
+  //      }
+  //    }
+  //  } bool _watched;
+
+  //  [DataMember(Name = "in_collection")]
+  //  public bool InCollection
+  //  {
+  //    get
+  //    {
+  //      bool retValue = false;
+
+  //      switch (Type)
+  //      {
+  //        case "movie":
+  //          retValue = Movie.InCollection;
+  //          break;
+
+  //        case "show":
+  //        case "season":
+  //          retValue = _incollection;
+  //          break;
+  //        case "episode":
+  //          retValue = Episode.InCollection;
+  //          break;
+  //      }
+  //      return retValue;
+  //    }
+  //    set
+  //    {
+  //      switch (Type)
+  //      {
+  //        case "movie":
+  //          Movie.InCollection = value;
+  //          break;
+
+  //        case "show":
+  //        case "season":
+  //          _incollection = value;
+  //          break;
+  //        case "episode":
+  //          Episode.InCollection = value;
+  //          break;
+  //      }
+  //    }
+  //  } bool _incollection;
+
+  //  [DataMember(Name = "in_watchlist")]
+  //  public bool InWatchList
+  //  {
+  //    get
+  //    {
+  //      bool retValue = false;
+
+  //      switch (Type)
+  //      {
+  //        case "movie":
+  //          retValue = Movie.InWatchList;
+  //          break;
+
+  //        case "show":
+  //        case "season":
+  //          retValue = _inwatchlist;
+  //          break;
+  //        case "episode":
+  //          retValue = Episode.InWatchList;
+  //          break;
+  //      }
+  //      return retValue;
+  //    }
+  //    set
+  //    {
+  //      switch (Type)
+  //      {
+  //        case "movie":
+  //          Movie.InWatchList = value;
+  //          break;
+
+  //        case "show":
+  //        case "season":
+  //          _inwatchlist = value;
+  //          break;
+  //        case "episode":
+  //          Episode.InWatchList = value;
+  //          break;
+  //      }
+  //    }
+  //  } bool _inwatchlist;
+
+  //  [DataMember(Name = "episode_num")]
+  //  public string EpisodeNumber
+  //  {
+  //    get
+  //    {
+  //      return _episodeNumber;
+  //    }
+  //    set
+  //    {
+  //      if (Type == "episode")
+  //      {
+  //        Episode = Episode ?? new TraktEpisode();
+  //        Episode.Number = Convert.ToInt32(value);
+  //      }
+  //      _episodeNumber = value;
+  //    }
+  //  } string _episodeNumber = null;
+
+  //  [DataMember(Name = "season")]
+  //  public string SeasonNumber
+  //  {
+  //    get
+  //    {
+  //      return _season;
+  //    }
+  //    set
+  //    {
+  //      if (Type == "episode")
+  //      {
+  //        Episode = Episode ?? new TraktEpisode();
+  //        Episode.Season = Convert.ToInt32(value);
+  //      }
+  //      _season = value;
+  //    }
+  //  } string _season = null;
+
+  //  public string Year
+  //  {
+  //    get
+  //    {
+  //      string retValue = string.Empty;
+
+  //      switch (Type)
+  //      {
+  //        case "movie":
+  //          retValue = Movie.Year;
+  //          break;
+
+  //        case "show":
+  //        case "season":
+  //        case "episode":
+  //          retValue = Show.Year.ToString();
+  //          break;
+  //      }
+  //      return retValue;
+  //    }
+  //  }
+
+  //  public string Title
+  //  {
+  //    get
+  //    {
+  //      string retValue = string.Empty;
+
+  //      switch (Type)
+  //      {
+  //        case "movie":
+  //          retValue = Movie.Title;
+  //          break;
+
+  //        case "show":
+  //        case "season":
+  //        case "episode":
+  //          retValue = Show.Title;
+  //          break;
+  //      }
+  //      return retValue;
+  //    }
+  //  }
+
+  //  public string ImdbId
+  //  {
+  //    get
+  //    {
+  //      string retValue = string.Empty;
+
+  //      switch (Type)
+  //      {
+  //        case "movie":
+  //          retValue = Movie.IMDBID;
+  //          break;
+
+  //        case "show":
+  //        case "season":
+  //        case "episode":
+  //          retValue = Show.Imdb;
+  //          break;
+  //      }
+  //      return retValue;
+  //    }
+  //  }
+
+  //  #endregion
+  //}
 }
\ No newline at end of file
diff --git a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/Extension/DateTimeExtensions.cs b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/Extension/DateTimeExtensions.cs
index 8cd4a91..84ecd60 100644
--- a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/Extension/DateTimeExtensions.cs
+++ b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/Extension/DateTimeExtensions.cs
@@ -1,4 +1,6 @@
 ﻿using System;
+using System.Collections.Generic;
+using System.Globalization;
 
 namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.Extension
 {
@@ -25,5 +27,72 @@ namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.Extension
     {
       return new DateTime(1970, 1, 1).AddSeconds(unixTime);
     }
+
+    /// <summary>
+    /// Converts string DateTime to ISO8601 format
+    /// 2014-09-01T09:10:11.000Z
+    /// </summary>
+    /// <param name="dt">DateTime as string</param>
+    /// <param name="hourShift">Number of hours to shift original time</param>
+    /// <returns>ISO8601 Timestamp</returns>
+    public static string ToISO8601(this string dt, double hourShift = 0, bool isLocal = false)
+    {
+      DateTime date;
+      if (DateTime.TryParse(dt, out date))
+      {
+        if (isLocal)
+          return date.AddHours(hourShift).ToUniversalTime().ToString("yyyy-MM-ddTHH:mm:ssZ");
+        else
+          return date.AddHours(hourShift).ToString("yyyy-MM-ddTHH:mm:ssZ");
+      }
+
+      return DateTime.UtcNow.ToString("yyyy-MM-ddTHH:mm:ssZ");
+    }
+
+    public static string ToISO8601(this DateTime dt, double hourShift = 0)
+    {
+      string retValue = DateTime.UtcNow.ToString("yyyy-MM-ddTHH:mm:ssZ");
+
+      if (dt == null)
+        return retValue;
+
+      return dt.AddHours(hourShift).ToString("yyyy-MM-ddTHH:mm:ssZ");
+    }
+
+    public static DateTime FromISO8601(this string dt)
+    {
+      DateTime date;
+      if (DateTime.TryParse(dt, out date))
+      {
+        return date;
+      }
+
+      return DateTime.UtcNow;
+    }
+
+    /// <summary>
+    /// Returns the corresponding Olsen timezone e.g. 'Atlantic/Canary' into a Windows timezone e.g. 'GMT Standard Time'
+    /// </summary>
+    //public static string OlsenToWindowsTimezone(this string olsenTimezone)
+    //{
+    //  if (olsenTimezone == null)
+    //    return null;
+
+    //  if (_timezoneMappings == null)
+    //  {
+    //    _timezoneMappings = Resources.OlsenToWindows.FromJSONDictionary<Dictionary<string, string>>();
+    //  }
+
+    //  string windowsTimezone;
+    //  _timezoneMappings.TryGetValue(olsenTimezone, out windowsTimezone);
+
+    //  return windowsTimezone;
+    //}
+    private static Dictionary<string, string> _timezoneMappings = null;
+
+    public static string ToLocalisedDayOfWeek(this DateTime date)
+    {
+      return DateTimeFormatInfo.CurrentInfo.GetDayName(date.DayOfWeek);
+    }
   }
 }
diff --git a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/Extension/JsonExtensions.cs b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/Extension/JsonExtensions.cs
index d2581e9..e4fdc0d 100644
--- a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/Extension/JsonExtensions.cs
+++ b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/Extension/JsonExtensions.cs
@@ -3,6 +3,7 @@ using System.Collections.Generic;
 using System.IO;
 using System.Runtime.Serialization.Json;
 using System.Text;
+using Newtonsoft.Json;
 
 namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.Extension
 {
@@ -69,6 +70,23 @@ namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.Extension
     }
 
     /// <summary>
+    /// Creates a Dictionary based on the JSON string
+    /// </summary>
+    public static T FromJSONDictionary<T>(this string json)
+    {
+      if (string.IsNullOrEmpty(json)) return default(T);
+
+      try
+      {
+        return JsonConvert.DeserializeObject<T>(json);
+      }
+      catch
+      {
+        return default(T);
+      }
+    }
+
+    /// <summary>
     /// Turns an object into JSON
     /// </summary>
     /// <param name="obj"></param>
@@ -84,4 +102,4 @@ namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.Extension
       }
     }
   }
-}
+}
\ No newline at end of file
diff --git a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/TraktAPI.cs b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/TraktAPI.cs
index 542fcce..be4cd5d 100644
--- a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/TraktAPI.cs
+++ b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/TraktAPI.cs
@@ -1,67 +1,24 @@
 ﻿using System;
 using System.Collections.Generic;
+using System.Diagnostics;
 using System.IO;
-using System.Linq;
 using System.Net;
 using System.Text;
 using System.Threading;
 using System.Web;
-using MediaPortal.Extensions.OnlineLibraries.Libraries.Common;
 using MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.DataStructures;
+using MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.Enums;
 using MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.Extension;
+using MediaPortal.Extensions.OnlineLibraries.Libraries.TraktAPI;
 
 namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt
 {
-  #region Enumerables
+  // Enumerables
 
   // ReSharper disable InconsistentNaming
-  
-  /// <summary>
-  /// List of Scrobble States
-  /// </summary>
-  public enum TraktScrobbleStates
-  {
-    watching,
-    scrobble,
-    cancelwatching
-  }
-
-  /// <summary>
-  /// List of Sync Modes
-  /// </summary>
-  public enum TraktSyncModes
-  {
-    library,
-    seen,
-    unlibrary,
-    unseen,
-    watchlist,
-    unwatchlist
-  }
-
-  /// <summary>
-  /// List of Clearing Modes
-  /// </summary>
-  public enum TraktClearingModes
-  {
-    all,
-    movies,
-    episodes
-  }
-
-  /// <summary>
-  /// List of Item Types
-  /// </summary>
-  public enum TraktItemType
-  {
-    episode,
-    season,
-    show,
-    movie
-  }
 
   /// <summary>
-  /// List of Rate Values
+  /// List of Rate Values - here for backwards compatability with WIFIREMOTE
   /// </summary>
   public enum TraktRateValue
   {
